Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 605383 - Adding errata to cloned/custom channel (with pkg association unchecked) does not move all needed package arches
Adding errata to cloned/custom channel (with pkg association unchecked) does ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity urgent
: ---
: ---
Assigned To: Jan Pazdziora
Šimon Lukašík
:
Depends On:
Blocks: sat531-triage
  Show dependency treegraph
 
Reported: 2010-06-17 15:33 EDT by Xixi
Modified: 2018-10-27 08:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 03:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0897 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-11-18 03:27:31 EST

  None (edit)
Description Xixi 2010-06-17 15:33:53 EDT
Description of problem:
Customer has cloned channels from Red Hat channels. They need to remove certain packages from these custom channels due to very strict application restrictions - the apps have to be locked down to certain update levels.  However when they add new errata from Red Hat channels to these cloned channels they run into dependency errors with yum update on the clients.  

Satellite needs to make sure that when an errata is added to custom channel, all dependency pkgs should also be added even though they're not part of this specific errata.  

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0

How reproducible:
Always.

Steps to Reproduce:
1. Have a 5.3 satellite with a Red Hat base channel and a custom channel cloned from it (current state - all errata).
2. Remove latest 50-100 errata from the cloned channel;
3. Add back some errata to the cloned channel - these errata requires pkgs that are not part of the errata itself.
4. yum update from client subscribed to the cloned channel.

Actual results:
Dependency errors such as:
--> Processing Dependency: libtspi.so.1()(64bit) for package: ecryptfs-utils
---> Package fipscheck.x86_64 0:1.2.0-1.el5 set to be updated
---> Package nspr-devel.x86_64 0:4.8.4-1.el5_4 set to be updated
---> Package pkgconfig.x86_64 1:0.21-2.el5 set to be updated
---> Package sgpio.x86_64 0:1.2.0_10-2.el5 set to be updated
test2-clone-rhel-x86_64-s 100% |=========================|  22 MB    00:07
--> Finished Dependency Resolution
ecryptfs-utils-75-5.el5.x86_64 from test2-clone-rhel-x86_64-server-5 has depsolving problems
 --> Missing Dependency: libtspi.so.1()(64bit) is needed by package ecryptfs-utils-75-5.el5.x86_64 (test2-clone-rhel-x86_64-server-5)
Error: Missing Dependency: libtspi.so.1()(64bit) is needed by package ecryptfs-utils-75-5.el5.x86_64 (test2-clone-rhel-x86_64-server-5)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
                       package-cleanup --dupes
                       rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

Expected results:
No dependency errors. Yum update succeeds.

Additional info:
Already spoken with Engineering.
Comment 4 Justin Sherrill 2010-06-30 10:52:20 EDT
So during some testing myself, I discovered an issue with adding errata if the 'package association' checkbox is unchecked.  So currently there are only two options:

1.  Leave package association checked, it will handle arches correctly, but will not get all of the errata
2.  Uncheck it.  You will get all of the errata, but arches will not be handled correctly.


Going to apply a fix to hopefully handle the arches better.

-Justin
Comment 6 Justin Sherrill 2010-06-30 13:41:59 EDT
commit to spacewalk master:

2d59d874019b71e66aff43e16cc28f831052d212
Comment 9 Šimon Lukašík 2010-09-21 03:32:36 EDT
Hello Justin,

I think I found problem with new set of packages. Can you take a look at the issue?

Long story short:
When added latest yum-rhn-plugin erratum which brings the new dependency on python-dmidecode. Package python-dmidecode is not added to the clone channel. But in the original channel there is erratum for it: RHEA-2009:9252 New package: python-dmidecode.


Full reproducer:
 * sync rhel-i386-server-5
 * clone rhel-i386-server-5 with all errata
 * remove 200 latest errata from clone
 * add following errata back to the clone: (with package association unchecked)
RHSA-2010:0140 Moderate: pango security update
RHEA-2010:9471 tzdata enhancement update
RHBA-2010:9467 pam bug fix update
RHSA-2010:9462 Moderate: httpd security and enhancement update
RHBA-2010:9452 openmotif bug fix update
RHBA-2009:9254 rhn-client-tools bug fix and enhancement update
RHBA-2009:9279 iscsi-initiator-utils bug fix and enhancement update
RHBA-2010:9353 Openswan bug fix update
RHBA-2009:9247 NetworkManager bug fix and enhancement update
RHBA-2009:1686 ksh bug fix update

On the client you will get dependency problem:
rhn-client-tools-0.4.20-33.el5.noarch from clone-2-rhel-i386-server-5 has depsolving problems
  --> Missing Dependency: python-dmidecode is needed by package rhn-client-tools-0.4.20-33.el5.noarch (clone-2-rhel-i386-server-5)
1:nfs-utils-1.0.9-42.el5.i386 from clone-2-rhel-i386-server-5 has depsolving problems
  --> Missing Dependency: libevent-1.1a.so.1 is needed by package 1:nfs-utils-1.0.9-42.el5.i386 (clone-2-rhel-i386-server-5)
Error: Missing Dependency: libevent-1.1a.so.1 is needed by package 1:nfs-utils-1.0.9-42.el5.i386 (clone-2-rhel-i386-server-5)
Error: Missing Dependency: python-dmidecode is needed by package rhn-client-tools-0.4.20-33.el5.noarch (clone-2-rhel-i386-server-5)
Comment 11 Justin Sherrill 2010-09-29 14:40:25 EDT
Hey Simon,

The errata add/remove tool does not do any sort of dependency checking, so it is up to the user to ensure everything is valid.  

Generally removing X newest errata will always be valid and adding X oldest available errata should be valid too, but picking and choosing certain errata to add will not always provide a working result.  

Since it looks like you are picking 'random' errata that aren't the oldest I am not surprised that there is a problem.  Let me know if I've misunderstood what you are doing.  

Thanks!

-Justin
Comment 12 Šimon Lukašík 2010-09-30 02:08:34 EDT
Hello Justin,

I see and agree now. As this was the only problematic case
I've found, moving to the verified. Thanks!

Verified against:
spacewalk-java-0.5.44-92
Comment 14 errata-xmlrpc 2010-11-18 03:28:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0897.html

Note You need to log in before you can comment on or make changes to this bug.